#!/bin/bash
#SBATCH --job-name=HYSPLIT-5.3.0-case
#SBATCH --partition=batch
#SBATCH --time=10:00
#SBATCH --nodes=1
#SBATCH --ntasks=2

module load gcc/9.4.0-eewq4j6 mvapich2/2.3.7-ne3jv3z netcdf-fortran eccodes/2.25.0-vhkeicx HYSPLIT/5.3.0

# We try a contour plot command on the example data found in
# /mnt/apps/prebuilt/hysplit.v5.3.0_CentOS7.9.2009_public/examples/wildfire/

# These are the files we need

cp /mnt/apps/prebuilt/hysplit.v5.3.0_CentOS7.9.2009_public/examples/wildfire/* .
cp setup_wildfire SETUP.CFG
cp control_wildfire CONTROL
cp EMITIMES.txt EMITIMES
cp /mnt/apps/prebuilt/hysplit.v5.3.0_CentOS7.9.2009_public/bdyfiles/ASCDATA.CFG .
cp /mnt/apps/prebuilt/hysplit.v5.3.0_CentOS7.9.2009_public/graphics/arlmap .

# HYSPLIT commands

mpirun -np ${SLURM_NTASKS} hycs_std
mpirun -np ${SLURM_NTASKS} concplot -b100 -t100  -c4 -k2 -z90 -uug -n40:40 -v500+200+100+50+20+10